# RK3308 Linux5.10 SDK Note

---

**Versions**

[TOC]

---
## rk3308_linux5.10_release_v1.0.3_20221220.xml Note

```
- Fix USB PID error with usbdevice
- Fix crash when painting views without buffer with weston11
- Support bypassing Unicode when printing with busybox or coreutils
```

## rk3308_linux5.10_release_v1.0.2_20221120.xml Note

```
- Update rk817 codec driver to solve some bugs
- Add motorcomm driver for RK631 PHY
- Upgrade weston to Version 11
- Compat with busybox ps
```

## rk3308_linux5.10_release_v1.0.1_20221020.xml Note

```
- Fix the xserver cause memory leak in Mali
- Supoort Gstreamer NV12 10bit
- Update rkscripts to rework the usbdevice/resize
- Support the bootanim on bootup
- Fix weston crash when hotplugging screens
- Fix Gstreamer random hang when EOS
- Update rockchip-test tests
```

## rk3308_linux5.10_release_v1.0.0_20220920.xml Note

```
- The first release version
```
